import { createStore } from 'vuex'
// 类似 Redux 中的建立状态树

export default createStore({
  state: {
    TaskId:'',
    plotLineList:{
      tBottom:null,
      tTop:null,
      hBottom:null,
      hTop:null
    },
    focuDatas:null,//获取到焦点
    setcopyData:{
      T_copy_task_id:'',//复制的T_task_id
      T_paste_task_id:''//粘贴的T_task_id
    }
  },
  getters: {
   
  },
  mutations: {
    setfocuFun(state,data){//获取到焦点
      state.focuDatas = data
    },
    setplotData(state,data){
      console.log('存储',data)
      state.plotLineList = data
    },
    setcopy(state,data){
      console.log('复制',data)
      state.setcopyData = data
    },
    setTaskId(state,data){
      state.TaskId = data;
    }
  },
  actions: {
  },
})

